package sample;

import java.util.ArrayList;
import java.util.List;

import com.poscoict.glueframework.GlueException;
import com.poscoict.glueframework.cache.GlueCacheLoader;

public class SampleCacheLoader implements GlueCacheLoader
{
    @Override
    public List<?> loadCacheObject( Object cacheKey, String regionName ) throws GlueException
    {
        System.out.println("data loaded...");
        if ( "flower".equals( cacheKey ) )
        {
            return new Data().getFlowserName();
        } else if ( "vegetable".equals( cacheKey ) )
        {
            return new Data().getVegetableName();
        } else if ( "fruits".equals( cacheKey ) )
        {
            return new Data().getFruitsName();
        } else
        {
            return null;
        }
    }

    private class Data
    {
        List<String> fruits = null;
        List<String> vegetable = null;
        List<String> flower = null;

        private Data()
        {
            this.fruits = new ArrayList<String>();
            this.fruits.add( "apple" );
            this.fruits.add( "pear" );
            this.fruits.add( "peach" );
            this.fruits.add( "grape" );
            this.fruits.add( "strawberry" );
            this.fruits.add( "plum" );
            this.fruits.add( "kiwi" );
            this.fruits.add( "blueberry" );
            this.fruits.add( "lemon" );
            this.fruits.add( "melon" );
            this.fruits.add( "fig" );
            this.fruits.add( "mongo" );
            this.fruits.add( "watermelon" );
            this.fruits.add( "orange" );
            this.fruits.add( "banana" );
            this.fruits.add( "pineapple" );
            this.fruits.add( "cherry" );
            this.fruits.add( "guava" );
            this.vegetable = new ArrayList<String>();
            this.vegetable.add( "tomato" );
            this.vegetable.add( "potato" );
            this.vegetable.add( "sweet potato" );
            this.vegetable.add( "spinach" );
            this.vegetable.add( "parsley" );
            this.vegetable.add( "cucumber" );
            this.vegetable.add( "carrot" );
            this.vegetable.add( "eggplant" );
            this.vegetable.add( "radish" );
            this.vegetable.add( "cabbage" );
            this.vegetable.add( "garlic" );
            this.vegetable.add( "pimiento" );
            this.vegetable.add( "papper" );
            this.vegetable.add( "bean" );
            this.vegetable.add( "onion" );
            this.vegetable.add( "mugwort" );
            this.vegetable.add( "ginger" );
            this.vegetable.add( "tomato" );
            this.vegetable.add( "tomato" );
            this.vegetable.add( "tomato" );
            this.flower = new ArrayList<String>();
            this.flower.add( "rose" );
            this.flower.add( "tulip" );
            this.flower.add( "daisy" );
            this.flower.add( "narcissus" );
            this.flower.add( "lily" );
            this.flower.add( "poppy" );
            this.flower.add( "Chrysanthemum" );
            this.flower.add( "chinese goldenbell" );
            this.flower.add( "morning glory" );
            this.flower.add( "orchid" );
            this.flower.add( "dandelion" );
            this.flower.add( "sunflower" );
            this.flower.add( "cosmos" );
            this.flower.add( "Baby's breath" );
            this.flower.add( "Aeolen" );
            this.flower.add( "pansy" );
            this.flower.add( "cockscomb" );
            this.flower.add( "balsam" );
            this.flower.add( "rose moss" );
            this.flower.add( "mary gold" );
            this.flower.add( "kara" );
        }

        List<String> getFruitsName()
        {
            return this.fruits;
        }

        List<String> getVegetableName()
        {
            return this.vegetable;
        }

        List<String> getFlowserName()
        {
            return this.flower;
        }
    }
}
