package test;

import java.util.List;

import net.sf.ehcache.Cache;
import net.sf.ehcache.CacheManager;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;

public class TestCacheLoader
{
    public static void main( String[] args )
    {
        GlueContext ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "hello-cache-service" );
        ctx.put( "usingLoader", "event" );
        ctx.put( "condition", new String[]{"flower"} );

        GlueBizController controller = GlueBizProvider.getController();
        controller.doAction( ctx );

        System.out.println( ctx.get( "result" ) );

        CacheManager cacheManager = CacheManager.getInstance();
        String cacheNames[] = cacheManager.getCacheNames();
        for ( String cacheName : cacheNames )
        {
            System.out.println(cacheName);
            Cache cache = cacheManager.getCache( cacheName );
            System.out.println(cacheName+" - " + cache.getStatistics());
            List<Object> keys = cache.getKeys();
            for ( Object key : keys )
            {
                System.out.println(cacheName+" - " + key + " - " + cache.get( key ).getHitCount() );
            }
        }
    }
}