package sample.activity;

import sample.component.ExceptionMaker;

import com.poscoict.glueframework.GlueException;
import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueStaticContext;

public class ExceptionTest extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    public String runActivity( GlueContext ctx )
    {
        System.out.println( "ServiceName : " + ctx.get( GlueBizControlConstants.SERVICE_NAME ) );
        System.out.println( "This is '" + this.getName() + "' activity" );

        ExceptionMaker component = GlueStaticContext.getBeanFactory().getBeanObject( "biz-component", ExceptionMaker.class );
        if ( ctx.containsKey( "case1" ) )
        {
            System.out.println( "Exception ó ." );
            component.doSomething();
            ctx.put( "input", "GlueException" );
        } else if ( ctx.containsKey( "case2" ) )
        {
            try
            {
                component.doSomething();
            } catch ( Throwable t )
            {
                System.out.println( "Exception óϷ." );
            }
            ctx.put( "input", "GlueException" );
        } else if ( ctx.containsKey( "case3" ) )
        {
            try
            {
                component.doSomething();
            } catch ( Throwable t )
            {
                System.out.println( "Exception óϷ." );
                throw new GlueException( t.getMessage(), t );
            }
            ctx.put( "input", "GlueException" );
        }
        return GlueBizControlConstants.SUCCESS;
    }
}